0

I'm trying to compile a program from source on CentOS 7 (boinctui to be specific), but I'm getting the following error from configure:

configure: error: Couldn't find gnutls-openssl library

I can't work out where to get this library from. It's not listed as a package in yum - I've installed openssl-devel and gnutls-devel but that didn't fix it.

Various searches have turned up a blank. Can anyone help?

  • The file boinctui-2.5.0/redhat/boinctui.spec says : BuildRequires: autoconf ncurses-devel expat-devel openssl-devel – Knud Larsen Aug 4 '19 at 12:14
  • Aha. Obviously just running autoconf on its own isn't picking up the right spec. Any way I can force it? – squaregoldfish Aug 6 '19 at 15:02
  • 1
    The file boinctui.spec : $ autoconf && ./configure --without-gnutls && make .... and when 'make' has finished : # make install – Knud Larsen Aug 6 '19 at 17:05
  • Thanks for walking me through it. Now I've seen where everything is I get what's going on. – squaregoldfish Aug 6 '19 at 17:29
1

Fedora, CentOS : "boinctui" is built with no gnutls → See boinctui-2.5.0/redhat/boinctui.spec, which also includes the build text.

cd boinctui-2.5.0/
autoconf
./configure --without-gnutls
make
# make install

... Or you can build an rpm package from these files https://www.dropbox.com/s/jhx4ni44tvntnoa/boinctui-files.tar.gz?dl=0

rpmbuild -bb boinctui-2.5.0.spec

The result is boinctui-2.5.0-1.el7.x86_64.rpm. This package is also included in the dropbox link.

Install the package # yum install ./boinctui-2.5.0-1.el7.x86_64.rpm

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.